#ifndef _USB_OPTIONS_H
  #define _USB_OPTIONS_H
  #include "usb_hardware.h"  
    
   int LoadOptions( USB_DEVICE_INFO * udi );
   int StoreOptions( USB_DEVICE_INFO * udi );

   int InterfaceSwitched( USB_DEVICE_INFO * udi );
   int InterfaceSwitch( USB_DEVICE_INFO * udi, USB_INTERFACE interface );

   USB_INTERFACE GetInterface( USB_DEVICE_INFO * udi );
#endif